using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore;
using SysCore.Model;
using SysCore.DAL;
using SysCore.Control;

public partial class System_BusinessEnd : System.Web.UI.Page
{
    public AuthUI auth = new AuthUI();
    public Hashtable xview = new Hashtable();
    public ConfigReader cfg = new ConfigReader();
    AWGridFun aw = new AWGridFun();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            new LoginState().CheckLogin();
            LoginInfo li = new LoginInfo();
            //模块权限编号,同时作为模块号
            string auth_code = "System_BusinessEnd";
            xview.Add("auth_code", auth_code);
            //加载页面时建议不要指定网址，搜索时动态指定即可
            string url = "";
            xview.Add("grid_frame",aw.CreateGridFrame(url));

            int cur_year = Convert.ToInt32(li.login_date.Substring(0, 4));
            string options_year = "";
            string selected;
            for (int i = cur_year-4; i <= cur_year+1; i++)
            {
                selected = "";
                if (i == cur_year)
                {
                    selected = " selected ";
                }
                options_year += "<option value='" + i.ToString() + "'" + selected + ">" + i.ToString() + "</option>";
            }
            xview.Add("options_year", options_year);
            CloseMonthDAL dal = new CloseMonthDAL();
            CloseMonth cm = dal.GetCurrentMonth();
            

        }
    }
}